Page MenuHomePhabricator

[x86][icelake][vpclmulqdq]
ClosedPublic

Authored by coby on Dec 25 2017, 3:48 AM.

Details

Summary

added intrinsics support for vpclmulqdq instructions, matching a similar work on the backend (D40101)

Diff Detail

Repository
rL LLVM

Event Timeline

coby created this revision.Dec 25 2017, 3:48 AM
coby updated this revision to Diff 128139.Dec 25 2017, 6:04 AM

removing guards to allow better diags

This revision is now accepted and ready to land.Dec 25 2017, 12:12 PM
craig.topper requested changes to this revision.Dec 26 2017, 9:56 AM
craig.topper added inline comments.
lib/Basic/Targets/X86.cpp
577 ↗(On Diff #128139)

I think we should disable vpclmulqdq when pclmul is being disabled.

This revision now requires changes to proceed.Dec 26 2017, 9:56 AM
coby added inline comments.Dec 26 2017, 11:22 AM
lib/Basic/Targets/X86.cpp
577 ↗(On Diff #128139)

agreed

coby updated this revision to Diff 128183.Dec 26 2017, 12:04 PM

turning off pclmul forbids enabling vpclmulqdq

This revision is now accepted and ready to land.Dec 26 2017, 1:56 PM
Closed by commit rL321480: [x86][icelake][vpclmulqdq] (authored by coby, committed by ). · Explain WhyDec 27 2017, 1:01 AM
This revision was automatically updated to reflect the committed changes.